<template>
  <div class="app-container">
    <el-table v-loading="loading" :data="expertList">
      <el-table-column label="记录ID" align="center" prop="id" />
      <el-table-column label="姓名" align="center" prop="name" />
      <el-table-column label="身份证号" align="center" prop="idcard" :show-overflow-tooltip="true" />
      <el-table-column label="上报平台" align="center" prop="institutionName" />
      <el-table-column label="所属培训机构" align="center" prop="trainOrgName" />
      <el-table-column label="班级批次" align="center" prop="batchName" />
<!--      <el-table-column label="课程名称" align="center" prop="courseName" />-->
      <el-table-column label="考试名称" align="center" prop="examName" />
      <el-table-column label="开考时间" align="center" prop="examStartTime" width="100" />
      <el-table-column label="结束时间" align="center" prop="examSubmitTime" width="100"/>
      <el-table-column label="学员成绩" align="center" prop="examUserScore" />
      <el-table-column label="试卷总分" align="center" prop="examTotalScore" />
      <el-table-column label="合格分数" align="center" prop="examPassScore" />
      <el-table-column label="是否通过" align="center" prop="examIsPass" >
        <template #default="scope">
          <span>{{scope.row.examIsPass == 1 ? '是' : '否'}}</span>
        </template>
      </el-table-column>
<!--      <el-table-column label="考试次数" align="center" prop="examNum" />-->
    </el-table>
    <pagination
      v-show="total>0"
      :total="total"
      :page.sync="queryParams.pageNum"
      :limit.sync="queryParams.pageSize"
      @pagination="getList"
    />
  </div>
</template>

<script>
import { listExam, listStudent } from '@/api/onlineEducation/student'
import Cookies from 'js-cookie'

export default {
  name: "nPeopleManage",
  dicts: [],
  components: {},
  data() {
    return {
      loading: false,
      single: true,
      multiple: true,
      showSearch: true,
      addForm: false,
      total: 0,
      expertTypes: [],
      expertList: [],
      queryParams: {
        pageNum: 1,
        pageSize: 10,
        name: '',
        idcard: ''
      },
    };
  },
  created() {
    if(Cookies.get('examRecord')){

    }else{
      this.getList({});
    }
  },
  methods: {
    getList(data){
      if(data){
        this.queryParams.idcard = data.idcard
        this.expertList = []
      }
      this.loading = true;
      listExam( this.queryParams).then((res) => {
        if (res.code == 200) {
          this.expertList = res.rows
          this.total = res.total
          this.loading = false;
        }
      })
    },
    handleChange(){

    },
    handleQuery(){

    },
    resetQuery(){

    },
    handleView(){

    }
  }
};
</script>
